---

 25-akpm/arch/ppc64/kernel/sys_ppc32.c |   10 ++--------
 25-akpm/include/asm-ppc64/unistd.h    |    7 +++++--
 include/linux/syscalls.h              |    0 
 3 files changed, 7 insertions(+), 10 deletions(-)

diff -puN arch/ppc64/kernel/sys_ppc32.c~add-syscalls_h-fixes arch/ppc64/kernel/sys_ppc32.c
--- 25/arch/ppc64/kernel/sys_ppc32.c~add-syscalls_h-fixes	Fri Feb 13 17:14:37 2004
+++ 25-akpm/arch/ppc64/kernel/sys_ppc32.c	Fri Feb 13 17:14:37 2004
@@ -67,6 +67,7 @@
 #include <asm/types.h>
 #include <asm/ipc.h>
 #include <asm/uaccess.h>
+#include <asm/unistd.h>
 
 #include <asm/semaphore.h>
 
@@ -2152,9 +2153,6 @@ void start_thread32(struct pt_regs* regs
 #endif /* CONFIG_ALTIVEC */
 }
 
-extern asmlinkage int sys_prctl(int option, unsigned long arg2, unsigned long arg3,
-				unsigned long arg4, unsigned long arg5);
-
 /* Note: it is necessary to treat option as an unsigned int, 
  * with the corresponding cast to a signed int to insure that the 
  * proper conversion (sign extension) between the register representation of a signed int (msr in 32-bit mode)
@@ -2169,14 +2167,12 @@ asmlinkage long sys32_prctl(u32 option, 
 			 (unsigned long) arg5);
 }
 
-extern asmlinkage int sys_sched_rr_get_interval(pid_t pid, struct timespec *interval);
-
 /* Note: it is necessary to treat pid as an unsigned int, 
  * with the corresponding cast to a signed int to insure that the 
  * proper conversion (sign extension) between the register representation of a signed int (msr in 32-bit mode)
  * and the register representation of a signed int (msr in 64-bit mode) is performed.
  */
-asmlinkage int sys32_sched_rr_get_interval(u32 pid, struct compat_timespec *interval)
+asmlinkage long sys32_sched_rr_get_interval(u32 pid, struct compat_timespec *interval)
 {
 	struct timespec t;
 	int ret;
@@ -2266,8 +2262,6 @@ asmlinkage int sys32_pciconfig_iobase(u3
 }
 
 
-extern asmlinkage int sys_newuname(struct new_utsname * name);
-
 asmlinkage int ppc64_newuname(struct new_utsname * name)
 {
 	int errno = sys_newuname(name);
diff -puN include/asm-ppc64/unistd.h~add-syscalls_h-fixes include/asm-ppc64/unistd.h
--- 25/include/asm-ppc64/unistd.h~add-syscalls_h-fixes	Fri Feb 13 17:14:37 2004
+++ 25-akpm/include/asm-ppc64/unistd.h	Fri Feb 13 17:14:37 2004
@@ -274,6 +274,9 @@
 
 #ifndef __ASSEMBLY__
 
+#include <linux/types.h>
+#include <linux/linkage.h>
+
 /* On powerpc a system call basically clobbers the same registers like a
  * function call, with the exception of LR (which is needed for the
  * "sc; bnslr" sequence) and CR (where only CR0.SO is clobbered to signal
@@ -404,12 +407,12 @@ extern int execve(const char *file, char
 extern int open(const char *file, int flag, int mode);
 extern int close(int fd);
 extern pid_t waitpid(pid_t pid, int *wait_stat, int options);
+#endif /* __KERNEL_SYSCALLS__ */
 
-extern unsigned long sys_mmap(unsigned long addr, size_t len,
+asmlinkage unsigned long sys_mmap(unsigned long addr, size_t len,
 			      unsigned long prot, unsigned long flags,
 			      unsigned long fd, off_t offset);
 
-#endif /* __KERNEL_SYSCALLS__ */
 
 /*
  * "Conditional" syscalls
diff -puN include/linux/syscalls.h~add-syscalls_h-fixes include/linux/syscalls.h

_
